Add test sample
POST
/api/settings/automod/rules/{kind}/{id}/samplesAdd a sample text to a rule's test set.
Needs the ManageSettings permission.
AuthorizationBearer <token>
An API key, made on Settings, API keys. Every key starts with mbk_.
In: header
Path Parameters
kind*string
id*string
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/api/settings/automod/rules/string/497f6eca-6276-4993-bfeb-53cbbbba6f08/samples" \ -H "Content-Type: application/json" \ -d '{ "text": null, "shouldFlag": true, "note": null, "target": null }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "text": "string", "shouldFlag": true, "note": null, "target": "string", "seeded": true}